Bug 3711 - [UPDATE REQUEST] [UPSTREAM UPDATE] kernel
: [UPDATE REQUEST] [UPSTREAM UPDATE] kernel
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-30 13:39 MSK by Andrew Lukoshko
Modified: 2014-02-25 16:28 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-30 13:39:18 MSK
* Previously, the bonding driver did not support TCP segmentation offloading (TSO). As a consequence, the performance decreased significantly, and the "ethtool -k bondX" command reported that the TSO was disabled, although the slave device had the TSO enabled. The following message appeared in the kernel log: "Dropping TSO features since no CSUM". The problem affected also bridges and loopback interfaces. The underlying source code has been modified to ensure that the bonding module does not drop TSO features for NO_CSUM devices. As a result, the aforementioned performance problem no longer occurs.

* There was an error in the tag insertion logic, and bonding handled cases when a slave device did not have a hardware VLAN acceleration. As a consequence, the network packets were tagged twice through slave devices without hardware VLAN tag insertion, and two Solarflare network cards using bonding over a VLAN did not work properly. This update removes the redundant VLAN tag insertion logic, and the unwanted behavior no longer occurs.

https://abf.rosalinux.ru/build_lists/1516694
https://abf.rosalinux.ru/build_lists/1516695
Comment 1 Vladimir Potapov 2014-02-04 19:40:42 MSK
kernel-2.6.32-431.3.1.res6
*************************** Advisory ************************
* Previously, the bonding driver did not support TCP segmentation offloading (TSO). As a consequence, the performance decreased significantly, and the "ethtool -k bondX" command reported that the TSO was disabled, although the slave device had the TSO enabled. The following message appeared in the kernel log: "Dropping TSO features since no CSUM". The problem affected also bridges and loopback interfaces. The underlying source code has been modified to ensure that the bonding module does not drop TSO features for NO_CSUM devices. As a result, the aforementioned performance problem no longer occurs.

* There was an error in the tag insertion logic, and bonding handled cases when a slave device did not have a hardware VLAN acceleration. As a consequence, the network packets were tagged twice through slave devices without hardware VLAN tag insertion, and two Solarflare network cards using bonding over a VLAN did not work properly. This update removes the redundant VLAN tag insertion logic, and the unwanted behavior no longer occurs.
**************************************************************
QA Verified